vBulletin Mods

The Official vBulletin Modifications Site
https://www.vbulletin.org/forum/showthread.php?t=108623

Force Style to Certain Usergroup(s) and/or User(s)
by Mosh
22 Feb 2006 15:01

1 Attachment(s)
Hack Support

This hack is now discontinued - this means that while it will remain available for download and use, there will be no further updates, nor will support be provided as the thread is no longer monitored.

Please click Mark as Installed if you are using this hack.


vBulletin Version Compatibility

This hack has be tested with v3.5.8. This has not been tested with earlier versions, but should work.


What Does This Hack Do?

This hack allows you to force a style to certain usergroup(s), secondary usergroup(s), and/or certain user(s).

Background

This is inspired by the hack - Restrict Style to Usergroup(s) by Andreas.
I asked about a mod to restrict styles to certain usergroups and ended up using Andreas's hack, but did not do the job exactly as I need it, see scenario below to see why did not.

Scenario

The setup on my forums is that I use the default style as the parent to all my other styles which makes modifying the templates easy for me, I wanted to use a child style as the standard style for visitors and members, but not have them have a choice of the default template at all, but as soon as you logged out you were presented with the default template that you did not want guests to see.

Solution

I created this hack to rectify that and it works in harmony with Andreas's hack.


Installation Instructions

Instructions and upgrade instructions are in the attachment.

Note: No screenshots are needed, so are not provided.


Version History

v1.02 - Tuesday 28th February 2006
-- Final release
-- Fixed: Plugin typo

v1.01 - Thursday 23rd February 2006
-- Added: Secondary Usergroups permissions

v1.00 - Thursday 23rd February 2006
-- Initial Release


Show Your Appreciation

Although not required, if you have enjoyed the benefits of this hack, and would like show your appreciation for my efforts, then please feel free to click on the Support Developer link and donate any amount you feel is appropriate.

RoryF 22 Feb 2006 15:58

Exactly what i need. Thankyou for making this hack :D. Well done :).

WAR 22 Feb 2006 19:34

Just to clarify, you said that this works just fine in conjunction with Andreas' Restrict Style to Usergroup(s) hack without any conflict?

Also: Does this work with secondary usergroups as well?

Mosh 22 Feb 2006 22:24

Quote:

Originally Posted by WAR
Just to clarify, you said that this works just fine in conjunction with Andreas' Restrict Style to Usergroup(s) hack without any conflict?

Also: Does this work with secondary usergroups as well?

Yes, no conflicts at all.

Not in it's current state, but I will put that in, in a bit for you :)

Mosh 22 Feb 2006 23:36

Now Zip file has now been updated to deal with Secondary Usergroups.

christianjunk 27 Feb 2006 12:12

Hi!

There's an error in your code:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

You forgot a closing ")" in the if-statement (before "{") ...

Regards,
Christian

Mosh 27 Feb 2006 14:09

Quote:

Originally Posted by christianjunk
Hi!

There's an error in your code:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

You forgot a closing ")" in the if-statement (before "{") ...

Regards,
Christian

Thanks for noticing that typo :) updated the zip file.

ToyotaDiesel 19 Apr 2006 14:09

.......

ToyotaDiesel 19 Apr 2006 18:20

I have secondary usergroups that i can't get it to work with.

for instance:

Works with Usergroup 12 and 2, not with 17, 24, and 29.

Is there a cap on usergroup id#s?

Thanks

ToyotaDiesel 19 Apr 2006 18:52

I cannot get it to work with a usergroupid higher than 12. (my usergroups jump from 12 to 17 btw)

Works on 12. down.

Doesnt work on 17, up.

(I'm trying secondary usergroups btw)

ToyotaDiesel 20 Apr 2006 13:46

Anyone? I'm getting by using the user level version, but the usergroup script would make it alot easier to see whos in the group and whos not.

Mosh 20 Apr 2006 17:05

Post the Style ID you want to restrict to certain groups, and the primary and secondary membergroups you want to limit. And I will PM you the script with the appropriate info already in it.

So do it as:

Style ID:
Primary Groups:
Secondary Groups:

ToyotaDiesel 20 Apr 2006 18:04

thanks. This is what I was using

if (in_array($vbulletin->userinfo['usergroupid'], array()) || (in_array($vbulletin->userinfo['membergroupids'], array(29))))
{
$styleid = 9;
}


Style ID: 9
Primary Groups: none
Secondary Groups: 29

Mosh 21 Apr 2006 01:27

Try this instead:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Tell me if that works.

ToyotaDiesel 21 Apr 2006 14:17

Thanks. I get this at the top of the page with that line

Parse error: parse error, unexpected '{' in /home/public_html/forums/global.php(233) : eval()'d code on line 2

ToyotaDiesel 21 Apr 2006 14:24

I added a close parenthesis, and it fixed the parse error listed above, but otherwise the code is working the same.

It works fine with all secondary usergroups with an id# of less than 12.

ToyotaDiesel 21 Apr 2006 14:33

Usergroup ids 13-16 were deleted. Would this lack of ID #s cause a problem? Seems like thats where the problem starts. Nothing greater than that block of deleted ids will work.

Mosh 23 Apr 2006 02:19

You may need to rebuild your Styles to get this to work.


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

.

If that does not work, then I do not have a clue, as it should work as advertised.

Mosh 24 Apr 2006 01:07

ToyotaDiesel, I had a thought, if you are using this mod with Restrict Style to Usergroup(s) by Andreas, then make sure the style you are using for this secondary member group has the correct permissions for the group to be able to use it.

Warlock40 07 May 2006 05:31

Quote:

Originally Posted by ToyotaDiesel
Usergroup ids 13-16 were deleted. Would this lack of ID #s cause a problem? Seems like thats where the problem starts. Nothing greater than that block of deleted ids will work.


Initially I had the same problem. I could not get a specific style to work.
My problem was that I had the style set as "not user selectable"
so members could not pick it.

So to get have my cake and eat it to. I uploaded andreas hack http://www.vbulletin.org/forum/showthread.php?t=95910
and then allowed the style to be select by a specific user group, and then used this hack to set it as a default for that user group.

I also had this set as a default for a cmps page different from my home but in order to keep that I then just created a child and set that to non user selectable and pointed it to my cmps page so that it could get style (as the other was restricted.

So now members who are new or visit the specific page or forum area or are part of a specified usergroup can enjoy this style.

Thanks for the hack.

Oh and if there is an easier way to make this so it can be used by non user selectable styles I'll be happy to change it all back..it will save me some keystrokes down the road.

Mosh 09 May 2006 00:51

If it can not be selected by the user, it can not be used by that user unfortunately and my mod will not work, it is what permissions is all about.

My mod is used in conjunction with Andrea's one (advanced permissions for each style) to force a particular style on a user or a group of users (but the user or group have to have permissions to select/see the style being forced on them).

beano33 30 Jan 2007 20:46

I force a lite style during periods of high server loads. Does anyone know how to add a trigger to this plugin so it would only go active at a defined server load? I suspect it might involve adding another plugin to the global.php hook location. Thanks!

The Equivocate 14 Mar 2007 06:04

Hey, I'm using this hack to implement a "multi-site" shared forum. Because the sites will be referring hits based on style id (I.E. the affiliate has skin id #2 branded with their logos/ads, so they'd use mysite.com/index.php?styleid=2), Unregistered Users need to have all the skins available to them, and their skin defined via the styleid in the URL.

What change would I have to make? I know absolutely nothing about PHP, but here's the change I tried to make to allow Unregs (usergroup ID #1) to view both skin styleid #1 AND #2 (but let's pretend there's going to be about 6 more). It's giving me a parse error and only showing skin #2.:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.


Mosh 18 Mar 2007 23:53

Quote:

Originally Posted by The Equivocate (Post 1203072)
Hey, I'm using this hack to implement a "multi-site" shared forum. Because the sites will be referring hits based on style id (I.E. the affiliate has skin id #2 branded with their logos/ads, so they'd use mysite.com/index.php?styleid=2), Unregistered Users need to have all the skins available to them, and their skin defined via the styleid in the URL.

What change would I have to make? I know absolutely nothing about PHP, but here's the change I tried to make to allow Unregs (usergroup ID #1) to view both skin styleid #1 AND #2 (but let's pretend there's going to be about 6 more). It's giving me a parse error and only showing skin #2.:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

This is only to force a 1 style on member group(s).

You can not have multiple style ids as you have them, this is what is causing the parse error:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

If you want to have guests use all styles then do not use this hack. Only use this hack for the member groups you want to restrict to a particular style.

If you want to restrict say 2 different member groups to one style and say 1 different member group to another style then here is an example of how to do it.

Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Also please click INSTALL, as you said you are using this hack.

lostgirl815 23 Mar 2007 06:16

Is there any chance that I can use this with 3.6.4?

Mosh 24 Mar 2007 21:34

Quote:

Originally Posted by lostgirl815 (Post 1210116)
Is there any chance that I can use this with 3.6.4?

It should work with v3.6.x :)

lostgirl815 24 Mar 2007 21:37

Great! Thanks for your answer! :)

--------------

Worked like a charm in the test run - thanks so much for this one!

Mosh 26 Mar 2007 07:26

Quote:

Originally Posted by lostgirl815 (Post 1211306)
Great! Thanks for your answer! :)

--------------

Worked like a charm in the test run - thanks so much for this one!

You are most welcome :)

Mosh 02 Apr 2007 22:11

The official v3.6.x version of this modification is now available from here.

Thanks for your patience, and hope all of you users with v3.6.x will enjoy this ported mod :)


All times are GMT. The time now is 01:01.

Powered by vBulletin® Version 3.8.14
Copyright © 2020, MH Sub I, LLC dba vBulletin. All Rights Reserved. vBulletin® is a registered trademark of MH Sub I, LLC
Copyright ©2001 - , vbulletin.org. All rights reserved.